%define languageenglazy Haitian Creole
%define languagecode    ht
%define lc_ctype        ht_HT

Name:           hunspell-%{languagecode}
Version:        0.08.1
Release:        %mkrel 3
Summary:        %{languageenglazy} hunspell dictionaries
License:        GPLv3+
Group:          System/Internationalization
URL:            http://kok.logipam.org/
Source0:        https://addons.mozilla.org/firefox/downloads/file/376252/haitian_creole_spell_checker-%{version}-typefix-sm+tb+fx.xpi#/%{name}-%{version}.xpi

BuildArch:      noarch

Recommends:       hunspell

Requires:       locales-ht
#Mageia values: 1 - aspell, 2 - hunspell, 3 - language specific
Provides:       enchant-dictionary = 2
Provides:       hunspell-dictionary
Provides:       hunspell-%{lc_ctype} = %{version}-%{release}
#Generic providing - see Mageia values
Provides:       dictionary-%{languagecode} = 2 
Provides:       dictionary-%{lc_ctype} = 2

#MySpell is deprecated
# there is nothing to obsolete
#Obsoletes:      myspell-%{languagecode} <= 1.0.2-30
#Provides:       myspell-%{languagecode}
#Obsoletes:      myspell-%{lc_ctype} <= 1.0.2-30
#Provides:       myspell-%{lc_ctype}

AutoReqProv:    no

%description
%{languageenglazy} hunspell dictionaries.


%prep
%setup -q -c

%build

%install
install -D -m 0644 -p dictionaries/ht*.dic %{buildroot}%{_datadir}/hunspell/%{lc_ctype}.dic
install -D -m 0644 -p dictionaries/ht*.aff %{buildroot}%{_datadir}/hunspell/%{lc_ctype}.aff

#backward compatibility
mkdir -p %{buildroot}%{_datadir}/myspell
pushd %{buildroot}%{_datadir}/myspell
    ln -s ../hunspell/%{lc_ctype}.dic %{lc_ctype}.dic
    ln -s ../hunspell/%{lc_ctype}.aff %{lc_ctype}.aff
popd #%%{buildroot}%%{_datadir}/myspell

%files
%doc dictionaries/README*
%{_datadir}/hunspell/*
%{_datadir}/myspell/*


%changelog
* Wed Feb 12 2020 umeabot <umeabot> 0.08.1-3.mga8
+ Revision: 1501609
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 0.08.1-2.mga7
+ Revision: 1278839
- Mageia 7 Mass Rebuild

* Thu Mar 29 2018 kekepower <kekepower> 0.08.1-1.mga7
+ Revision: 1213472
- Update to version 0.08.1

* Sat Feb 06 2016 umeabot <umeabot> 0.06-10.mga6
+ Revision: 940727
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.06-9.mga5
+ Revision: 739386
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.06-8.mga5
+ Revision: 680252
- Mageia 5 Mass Rebuild
+ tv <tv>
- s/uggests:/Recommends:/

* Fri Oct 18 2013 umeabot <umeabot> 0.06-7.mga4
+ Revision: 505521
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 0.06-6.mga3
+ Revision: 353500
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Dec 02 2012 kamil <kamil> 0.06-5.mga3
+ Revision: 325398
- rebuild for Mga3 Beta1

* Tue Mar 20 2012 kamil <kamil> 0.06-4.mga2
+ Revision: 224681
- add requirement on locales (mga#4632)

* Mon Jan 23 2012 kamil <kamil> 0.06-3.mga2
+ Revision: 200229
- adapt .spec to the current policies

* Sat Mar 12 2011 dmorgan <dmorgan> 0.06-2.mga1
+ Revision: 68839
- imported package hunspell-ht


* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.06-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Dec 16 2009 Caolan McNamara <caolanm@redhat.com> - 0.06-1
- latest version

* Thu Dec 10 2009 Caolan McNamara <caolanm@redhat.com> - 0.05-1
- latest version

* Thu Nov 19 2009 Caolan McNamara <caolanm@redhat.com> - 0.03.3-1
- initial version

* Mon Nov 16 2009 Caolan McNamara <caolanm@redhat.com> - 0.02-1
- initial version
